<?php

/**
 * Library of functions for the Aardvark menu generation
 */


// This function will output the html to create a categories sub-menu for the aardvark theme. 
// It just needs the parent category id passing to it

function aardvark_catmenu($parent_id) {

	global $CFG;

	$subcategories = array();
        $subcategories = get_categories($parent_id);

	$category = get_record("course_categories", "id", $parent_id);

        echo '<li><div><a href="' . $CFG->wwwroot . '/course/category.php?id=' . $parent_id . '">' . $category->name . '</a>'. "\n";
	echo '<ul>' . "\n";
	echo '<h4>' . $category->description . '</h4>' . "\n";

	//iterate through the array and out put the links as list items...
	foreach ($subcategories as $subcategory)
	        {
	        echo '<li><a href="'.$CFG->wwwroot.'/course/category.php?id='.$subcategory->id.'">'.$subcategory->name.'</a></li>' . "\n";
	        }

        echo '</ul></div></li>' . "\n";

}

// This function will output the html to create a courses sub-menu for the aardvark theme. 
// It just needs the parent category id passing to it

function aardvark_coursemenu($parent_id) {

	global $CFG;

	$subcourses = array();
	$subcourses = get_courses($parent_id);

	$category = get_record("course_categories", "id", $parent_id);

	echo '<li><div><a href="' . $CFG->wwwroot . '/course/category.php?id=' . $parent_id . '">' .  $category->name . '</a>' . "\n";
	echo '<ul>' . "\n";
	echo '<h4>' . $category->description . '</h4>' . "\n";

	//iterate through the array and output the links as list items...
	foreach ($subcourses as $subcourse)
		{
		echo '<li><a href="'.$CFG->wwwroot.'/course/view.php?id='.$subcourse->id.'">'.$subcourse->fullname.'</a></li>' . "\n";
		}

	echo '</ul></div></li>' . "\n";

}

?>

